'use strict';

const { name, version } = require('./package.json');
const defaultsDeep = require('ember-cli-lodash-subset').defaultsDeep;

module.exports = {
  name,

  shouldIncludeChildAddon(addon) {
    // WARN: don't infinitely recurse - it's the dummy test app depends on dummy-addon, not addon itself
    return addon.name.indexOf('dummy') === -1;
  },

  config() {
    return { [this.name]: { version } };
  },

  options: {
    cssModules: {
      extension: 'scss',
      includeExtensionInModulePath: false,
      postcssOptions: {
        syntax: require('postcss-scss'),
      },
      plugins: [require('@csstools/postcss-sass'), require('autoprefixer')],
    },
  },

  included(invoker) {
    defaultsDeep(this.options, invoker.options);
    this._super.included.apply(this, arguments);
  },
};
